# Method: projects.keys.get

- [HTTP request](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys/get#body.request_body)
- [Response body](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys/get#body.aspect_1)

Returns the specified key.

### HTTP request

`GET https://recaptchaenterprise.googleapis.com/v1/{name=projects/*/keys/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the requested key, in the format `projects/{project}/keys/{key}`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys#Key`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `recaptchaenterprise.keys.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).